PLM之家 UG NX10.0二次开发(ufun和NXOpen C++)网络培训火热报名

PLM之家-上海点团信息科技有限公司工业4.0数字化软件官方知识管理平台

查看: 5069|回复: 13

[原创视频] 【PLM之家-NX9.0二次开发实例视频】8 Open C++ 对象选择功能

  [复制链接]
  • TA的每日心情

    前天 13:24
  • 签到天数: 52 天

    [LV.5]常住居民I

    1692

    主题

    3259

    帖子

    5万

    积分

    管理员

    PLM之家mildcat

    Rank: 9Rank: 9Rank: 9

    积分
    54587
    发表于 2013-10-28 19:22:59 | 显示全部楼层 |阅读模式
    PLM之家-NX9.0二次开发实例视频】8 Open C++ 对象选择功能


    内容:使用NXOpen 创建一个单选feature的功能,并输出选择feature的名称和类型!
    目的:熟悉使用Selection类功能!

    8 Open C++ 对象选择功能

    8 Open C++ 对象选择功能





            Session *theSession = Session::GetSession();
            UI *theUI = UI::GetUI();
            // selection feature
            char *message = "select a feature";
            char *title = "single select ";
            Selection::SelectionScope scope = Selection::SelectionScopeWorkPart;
            Selection::SelectionAction action = Selection::SelectionActionClearAndEnableSpecific;
            std::vector< NXOpen::Selection::MaskTriple > maskTriple(1);
            Selection::MaskTriple mask1;
            mask1.Type =UF_feature_type;
            mask1.Subtype = UF_feature_subtype;
            mask1.SolidBodySubtype = 0;
            maskTriple.push_back(mask1);
            TaggedObject *object;
            Point3d cursor;
            Selection::Response res;
            res = theUI->SelectionManager()->SelectTaggedObject(message,title,scope,action,true,false,maskTriple,&object,&cursor);
            if(Selection::ResponseObjectSelected == res)
            {
            Features::Feature *selectedFeature = dynamic_cast<Features::Feature*>(object);
            theSession->ListingWindow()->Open();
                                theSession->ListingWindow()->WriteLine("the slected feature name is:\n");
            theSession->ListingWindow()->WriteLine(selectedFeature->GetFeatureName());
            theSession->ListingWindow()->WriteLine("the slected feature Type is:\n");
            theSession->ListingWindow()->WriteLine(selectedFeature->FeatureType());
            theSession->ListingWindow()->Close();        }



    PLM之家,专业的NX,Teamcenter学习视频网。PLM之家科技,承接二次开发,视频定制,实施培训等业务。www.plmhome.com; && www.plmhome.net-->-->点团信息科技-->-->欢迎联系我们--QQ 939801026
    回复

    使用道具 举报

  • TA的每日心情

    前天 13:24
  • 签到天数: 52 天

    [LV.5]常住居民I

    1692

    主题

    3259

    帖子

    5万

    积分

    管理员

    PLM之家mildcat

    Rank: 9Rank: 9Rank: 9

    积分
    54587
     楼主| 发表于 2013-10-28 19:27:00 | 显示全部楼层
    PLM之家NX9.0二次开发视频教程 8 NXOpen对象选择功能
    PLM之家,专业的NX,Teamcenter学习视频网。PLM之家科技,承接二次开发,视频定制,实施培训等业务。www.plmhome.com; && www.plmhome.net-->-->点团信息科技-->-->欢迎联系我们--QQ 939801026
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    0

    主题

    201

    帖子

    1488

    积分

    PLM之家NX VIP

    Rank: 7Rank: 7Rank: 7

    积分
    1488
    发表于 2014-1-18 12:35:49 | 显示全部楼层
    谢谢楼主,辛苦了
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    1

    主题

    99

    帖子

    540

    积分

    高级会员

    Rank: 4

    积分
    540
    发表于 2014-2-25 09:59:13 | 显示全部楼层
    很不错的教材,谢谢!
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    0

    主题

    21

    帖子

    104

    积分

    注册会员

    Rank: 2

    积分
    104
    发表于 2014-4-27 17:35:06 | 显示全部楼层
    很好的教程
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    0

    主题

    29

    帖子

    101

    积分

    注册会员

    Rank: 2

    积分
    101
    发表于 2014-5-8 11:14:01 | 显示全部楼层
    谢谢楼主的辛勤付出
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    0

    主题

    10

    帖子

    26

    积分

    新手上路

    Rank: 1

    积分
    26
    发表于 2014-8-5 19:43:07 | 显示全部楼层
    学习了。谢谢分享
    回复 支持 反对

    使用道具 举报

    该用户从未签到

    0

    主题

    40

    帖子

    156

    积分

    注册会员

    Rank: 2

    积分
    156
    发表于 2015-3-6 15:45:35 | 显示全部楼层
    正在学习中
    回复 支持 反对

    使用道具 举报

    您需要登录后才可以回帖 登录 | QQ关联注册

    本版积分规则

    关闭

    站长推荐 上一条 /1 下一条

    <

    QQ|小黑屋|手机版|Archiver|PLM之家-工业4.0数字化软件学习之家 ( 沪ICP备13003373-3

    GMT+8, 2017-10-18 12:14 , Processed in 0.146784 second(s), 40 queries .

    Powered by PLM之家科技! X3.2

    © 2001-2013 PLMHome Inc.

    快速回复 返回顶部 返回列表